require("../../../../_virtual/_rolldown/runtime.js");
const require_bookingTicket = require("./bookingTicket.js");
let ahooks = require("ahooks");
//#region src/components/ticketBooking/hooks/pisellos/useScanManager.ts
const useScanManager = () => {
	const bookingTicket = require_bookingTicket.useBookingTicket();
	return {
		disableAllScanListeners: (0, ahooks.useMemoizedFn)(() => {
			if (!bookingTicket) return;
			bookingTicket.disableAllScanListeners();
		}),
		enableAllScanListeners: (0, ahooks.useMemoizedFn)(() => {
			if (!bookingTicket) return;
			bookingTicket.enableAllScanListeners();
		}),
		clearAllScanListenersTaskQueue: (0, ahooks.useMemoizedFn)(() => {
			if (!bookingTicket) return;
			bookingTicket.clearAllScanListenersTaskQueue();
		})
	};
};
//#endregion
exports.default = useScanManager;
